﻿
:root {
    --colorPrimary: #AB162C;
    --colorYellow: #F2A22A;
    --colorGreen: #0F9043;
    --lightBg: #F4ECDF;
    --ratingColor: #F4A630;
    --paraColor: #525064;
    --colorBlack: #080521;
    --colorWhite: #ffffff;
    --headingFont: 'IBM Plex Sans', sans-serif;
    --paraFont: 'Inter', sans-serif;
}

.cart_popup .modal {
    z-index: 9999;
}

    .cart_popup .modal .modal-body {
        padding: 25px;
    }


.cart_popup .btn-close {
    position: absolute;
    top: -5px;
    right: -5px;
    overflow: hidden;
    width: 40px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    font-size: 17px;
    background: var(--e-global-color-accent);
    border-radius: 50%;
    opacity: 1;
    color: var(--white);
    transition: all linear .3s;
    -webkit-transition: all linear .3s;
    -moz-transition: all linear .3s;
    -ms-transition: all linear .3s;
    -o-transition: all linear .3s;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
}

    .cart_popup .btn-close:hover {
        background: var(--e-global-color-dark-moderate-violet);
        color: var(--white);
    }

.cart_popup_img {
    /*    height: 260px;*/
    height: auto;
    border-radius: 5px;
    overflow: hidden;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}

.cart_popup_text .title {
    font-size: 24px;
    font-weight: 600;
    margin-top: 20px;
}

    .cart_popup_text .title:hover {
        color: var(--e-global-color-accent);
    }

.cart_popup_text .rating {
    color: var(--ratingColor);
    font-size: 14px;
    text-align: left;
    display: block;
    margin: 3px 0px 20px 0px;
}

    .cart_popup_text .rating span {
        font-size: 14px;
        margin-left: 5px;
    }

.cart_popup_text .price {
    font-size: 35px;
    font-weight: 600;
    margin-bottom: 20px;
    display: flex;
    align-items: center;
    color: var(--e-global-color-accent);
}

    .cart_popup_text .price del {
        font-size: 16px;
        color: var(--e-global-color-black);
        font-weight: 500;
        margin-left: 10px;
        opacity: .7;
    }


.title {
    color: var(--e-global-color-black);
    font-family: var(--headingFont);
    font-size: 20px;
    font-weight: 500;
    line-height: normal;
    text-transform: capitalize;
    display: block;
    transition: all linear .3s;
    -webkit-transition: all linear .3s;
    -moz-transition: all linear .3s;
    -ms-transition: all linear .3s;
    -o-transition: all linear .3s;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}


.quentity_btn {
    display: flex;
    align-items: center;
    justify-content: start;
}

    .quentity_btn button {
        width: 35px;
        height: 35px;
        line-height: 35px;
        font-size: 15px;
        color: var(--white);
        background: var(--e-global-color-dark-moderate-violet);
        outline: none;
        border: none;
        padding: 0;
        transition: all linear .3s;
        border-radius: 6px;
        -webkit-transition: all linear .3s;
        -moz-transition: all linear .3s;
        -ms-transition: all linear .3s;
        -o-transition: all linear .3s;
        -webkit-border-radius: 6px;
        -moz-border-radius: 6px;
        -ms-border-radius: 6px;
        -o-border-radius: 6px;
        text-align: center;
    }

        .quentity_btn button:hover {
            background: var(--e-global-color-accent);
            color: var(--white);
        }

    .quentity_btn input {
        width: 60px;
        text-align: center;
        height: 35px;
        border-radius: 6px;
        border: 1px solid #ddd;
        margin: 0px 5px;
        font-size: 16px;
        font-weight: 400;
        color: var(--e-global-color-black);
        padding: 0;
        -webkit-border-radius: 6px;
        -moz-border-radius: 6px;
        -ms-border-radius: 6px;
        -o-border-radius: 6px;
    }

        .quentity_btn input::placeholder {
            color: var(--e-global-color-black);
        }

.details_size .form-check input {
    padding: 0;
}

.quentity_btn_area h3 {
    font-size: 20px;
    font-weight: 600;
    margin-left: 10px;
    margin-top: 0;
}

.details_quentity h5 {
    text-transform: capitalize;
    font-size: 18px;
    font-weight: 600;
    color: var(--colorBlack);
    margin-bottom: 15px;
}

.cart_buttons {
    font-size: 16px;
    line-height: 16px;
    font-weight: 700;
    min-width: 168px;
    height: 52px;
    padding: 18px;
    margin: 0 0 0 36px;
    border-radius: 30px;
    position: relative;
    text-align: center;
    display: inline-block;
    color: var(--e-global-color-white) !important;
    background-color: var(--e-global-color-accent);
    box-shadow: 0px 3px 22px 3px rgb(248 61 142 / 31%);
    transition: all 0.3s ease-in-out;
}

    .cart_buttons:hover {
        color: var(--e-global-color-white) !important;
        background-color: var(--e-global-color-dark-moderate-violet);
        box-shadow: 0px 3px 22px 3px rgb(104 50 146 / 31%);
    }



.details_extra_item {
    margin-bottom: 25px;
}

p {
    font-size: 15px;
    font-weight: 500;
    margin: 0;
    color: var(--paraColor);
    font-family: var(--paraFont);
}


.common_btn {
    color: var(--white);
    font-size: 15px;
    font-weight: 500;
    padding: 14px 20px 11px 20px;
    position: relative;
    border-radius: 6px;
    z-index: 1;
    text-align: center;
    background: var(--e-global-color-accent);
    font-family: var(--paraFont);
    display: inline-flex;
    flex-wrap: wrap;
    align-items: center;
    text-transform: uppercase;
    transition: all linear .3s;
    -webkit-transition: all linear .3s;
    -moz-transition: all linear .3s;
    -ms-transition: all linear .3s;
    -o-transition: all linear .3s;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    -ms-border-radius: 6px;
    -o-border-radius: 6px;
}

    .common_btn:hover {
        background: var(--e-global-color-dark-moderate-violet);
        color: var(--e-global-color-white);
    }

    .common_btn i {
        margin-right: 5px;
    }


small.delivery_note {
    font-size: 11px;
    line-height: 18px;
    font-weight: 500;
    color: var(--e-global-color-shop-text);
    display: inline-block;
}

.pound-sign::before {
    content: "£";
    margin-right: 2px; /* optional spacing */
}


.navbar-toggler-icon {
    display: block;
    width: 25px;
    height: 3px;
    background-color: black;
    margin: 4px 0;
}

.cart .qnty {
    position: absolute;
    top: -5px;
    right: -10px;
    background-color: red;
    color: white;
    font-size: 12px;
    padding: 2px 5px;
    border-radius: 50%;
}


.cart_mobile {
    font-size: 7px;
    width: 13px;
    height: 13px;
    line-height: 13px;
    position: absolute;
    right: -6px;
    bottom: -4px;
    text-align: center;
    border-radius: 100%;
    color: var(--e-global-color-white);
    background-color: var(--e-global-color-dark-moderate-violet);
    transition: all 0.3s ease-in-out;
}


.optprice {
    color: var(--e-global-color-accent);
}
